# PetscViewerSetFromOptions

Sets the graphics type from the options database. Defaults to a PETSc X windows graphics.

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscViewerSetFromOptions(PetscViewer viewer)

Collective on PetscViewer

### Input Parameter

PetscViewer -the graphics context

### Notes

Must be called after PetscViewerCreate() before the PetscViewer is used.

### See Also

PetscViewerCreate(), PetscViewerSetType()

Level:intermediate
Location: src/sys/viewer/interface/viewreg.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages